Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module immutable :: Class ImmutableContainer |
[frames] | no frames]

# Class ImmutableContainer

source code

                     object --+
                              |
                          tuple --+
                                  |
    general.immutable.ImmutableDict --+
                                      |
      general.immutable.ImmutableRecord --+
                                          |
                                         ImmutableContainer

Nested Classes
Inherited from `general.immutable.ImmutableRecord`: `__metaclass__`

Instance Methods
Inherited from `general.immutable.ImmutableDict`: `__contains__`, `__eq__`, `__getitem__`, `__iter__`, `__len__`, `__ne__`, `__repr__`, `get`, `map`, `remove`, `update` Inherited from `tuple`: `__add__`, `__ge__`, `__getattribute__`, `__getnewargs__`, `__getslice__`, `__gt__`, `__hash__`, `__le__`, `__lt__`, `__mul__`, `__rmul__`, `count`, `index` Inherited from `object`: `__delattr__`, `__format__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `general.immutable.ImmutableRecord`: `__new__`

Class Variables
| text = `Field(None)`
| category_id = `Field(None)`
| time_period = `Field(None)`
| description = `Field(None)`

Properties
Inherited from `object`: `__class__`